#ifndef APP_WIFI_H
#define APP_WIFI_H

/* ESP drivers */
#include "esp_system.h"

/* FreeRTOS */
#include "freertos/FreeRTOS.h"
#include "freertos/event_groups.h"

typedef enum {
    APP_WIFI_EVENT_TIMEOUT,
    APP_WIFI_EVENT_CONNECTED,
} app_wifi_event_t;

esp_err_t app_wifi_init(void);
esp_err_t app_wifi_deinit(void);
app_wifi_event_t app_wifi_wait_event(uint32_t max_timeout_ms);

#endif