if ARGV.length < 1 then
  puts 'No parameter given'
  exit 255
end

File.open(ARGV[0], 'r') do |f|
  raw_size = f.size

  puts "Credential file size: #{raw_size}"

  hdr = [0xAA, 0xFF, 0xCC, 0x66]

  hdr.push raw_size & 0xFF
  hdr.push (raw_size >> 8) & 0xFF
  hdr.push (raw_size >> 16) & 0xFF
  hdr.push (raw_size >> 24) & 0xFF

  File.open("#{ARGV[0]}.bin", 'w+') do |wf|
    wf.write(hdr.pack('C*'))
    wf.write(f.read)
    wf.write([0].pack('C*'))
  end
end
