#ifndef APP_REPORT_RB_H
#define APP_REPORT_RB_H

typedef struct {
    uint64_t ts;
    float    temperature;
    float    humidity;
} app_report_rb_t;

int      app_report_rb_init(void);
void     app_report_rb_append(app_report_rb_t *rpt);
void     app_report_rb_consume(app_report_rb_t *rpt);
uint32_t app_report_rb_get_count(void);
uint32_t app_report_rb_get_total_size(void);
void     app_report_rb_flush(void);

#endif  // APP_REPORT_RB_H
